%define name kx509
%define path /usr/
%define version 1.1
%define release 1%{dist}

Summary: Get X.509 certificates using Kerberos
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Patch1:  kx509-configure-libpath.patch
Patch2:  kx509-com_err-fix.patch
License: BSD
URL: http://sourceforge.net/projects/kx509
Group: 	Security
Packager: Troy Dawson <dawson@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: openssl-devel
BuildRequires: krb5-devel

%description
KX.509: X.509 certificates using Kerberos -- Convenient, Secure, Web Authentication. 
KX.509 is an open source project that provides a Kerberos realm's users with a secure 
means of acquiring short-term X.509 certificates via Kerberos authentication. 

%prep
%setup
%patch1 -p0 -b .libpath
%patch2 -p0 -b .com_err

%build
./src/configure --with-krb5=%{path} --with-openssl=%{path} --libdir=%{_libdir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/bin

install -m 0755 client/kx509 $RPM_BUILD_ROOT/%{path}/bin/kx509
install -m 0755 client/kxlist $RPM_BUILD_ROOT/%{path}/bin/kxlist

%files
%{path}/bin/kx509
%{path}/bin/kxlist

%changelog
* Tue Nov 11 2008 Troy Dawson <dawson@fnal.gov> 1.1-1
- First spec file
- Just doing the client, not the server
- Added kx509-configure-libpath.patch so it would build on 64 bit systems
- Added kx509-com_err-fix.patch for systems that don't have the com_err link
- Gave it version 1.1 because that was the version in CVS.  I could find no
  other version number for kx509.
 
